<?php  


function validateUsername($name){  
    //NO cumple longitud minima  
    if(strlen($name) < 2)  
        return false;  
    //SI longitud pero NO solo caracteres A-z  
    else if(!preg_match("/^[a-zA-Z\s]+$/", $name))  
        return false;  
    // SI longitud, SI caracteres A-z  
    else  
        return true;  
}  
  
function validatedate($fecha){  
    $partes= explode("-", $fecha); 
	//NO cumple longitud minima  
    If (checkdate ($partes[1],$partes[2],$partes[0]))  
        return true;  
    else  
        return false;  
}

function validatePassword1($password1){  
    //NO tiene minimo de 5 caracteres o mas de 12 caracteres  
    if(strlen($password1) < 5 || strlen($password1) > 12)  
        return false;  
    // SI longitud, NO VALIDO numeros y letras  
    else if(!preg_match("/^[0-9a-zA-Z]+$/", $password1))  
        return false;  
    // SI rellenado, SI email valido  
    else  
        return true;  
}  


function validatePassword2($password1, $password2){  
    //NO coinciden  
    if($password1 != $password2)  
        return false;  
    else  
        return true;  
}  

function validateTelefono($telefono){  
    //NO tiene minimo de 9 caracteres o mas de 11 caracteres  
    if(strlen($telefono) < 9 || strlen($telefono) > 11)  
        return false;  
    // SI longitud, NO VALIDO numeros  
    else if(!preg_match("/^[0-9]+$/", $telefono))  
        return false;  
    // SI rellenado, SI TELEFONO valido  
    else  
        return true;  
}  

function validateDocumento($documento){  
    //NO tiene minimo de 9 caracteres o mas de 11 caracteres  
    if(strlen($documento) < 5 || strlen($documento) > 11)  
        return false;  
    // SI longitud, NO VALIDO numeros  
    else if(!preg_match("/^[0-9]+$/", $documento))  
        return false;  
    // SI rellenado, SI TELEFONO valido  
    else  
        return true;  
} 

function validatedatos(){  
if(!isset($_POST['cbdatos']))
		return false;
	else  
        return true;  
}
function validateEmail($email){  
    //NO hay nada escrito  
    if(strlen($email) == 0)  
        return false;  
    // SI escrito, NO VALIDO email  
    else if(!filter_var($_POST['email'], FILTER_SANITIZE_EMAIL))  
        return false;  
    // SI rellenado, SI email valido  
    else  
        return true;  
}  

function validateComentario($comentario){  
    //NO tiene minimo de 20 caracteres
    if(strlen($comentario) < 20)  
        return false;  
    // SI longitud, VÁLIDO  
    else  
        return true;  
} 
//Comprobacion de datos  
//variables valores por defecto  

$documento = "";  
$documentoValue = "";  

$nombre = "";  
$nombreValue = "";  

$paterno = "";  
$paternoValue = "";  

$materno = "";  
$maternoValue = "";  

$celular = "";  
$celularValue = "";  

$fijo = "";  
$fijoValue = "";  

$comentario = "";  
$comentarioValue = "";  

$fn = "";  
$fnValue = "";  

$datos = "";
$mensajedatos= "";

$username = "";  
$usernameValue = "";  
$password1 = "";  
$password2 = "";  
$email = "";  
$emailValue = "";  
$websiteValue = "";  
  
//Validacion de datos enviados  
if(isset($_POST['send'])){  
    if(!validateUsername($_POST['nombre']))  
        $nombre = "error";  	
    if(!validateUsername($_POST['paterno']))  
        $paterno = "error";  	
    if(!validateUsername($_POST['materno']))  
        $materno = "error";  		
    if(!validateTelefono($_POST['celular']))  
        $celular = "error";  	
    if(!validateTelefono($_POST['fijo']))  
        $fijo = "error";  	
    if(!validatedatos())  
        $datos = "error";  	
	if(!validatedatos())  
        $mensajedatos = "Por favor acepte los t&eacute;rminos y condiciones.";  
    if(!validatedate($_POST['fn']))  
        $fn = "error";  		
	
    if(!validateEmail($_POST['email']))  
        $email = "error";  
    if(!validateDocumento($_POST['documento']))  
        $documento = "error";  
      
    //Guardamos valores para que no tenga que reescribirlos  
	$nombreValue = $_POST['nombre'];
	$paternoValue = $_POST['paterno'];  
    $maternoValue = $_POST['materno'];  
    $emailValue = $_POST['email'];  
	$celularValue = $_POST['celular'];  
	$fijoValue = $_POST['fijo'];  
	$documentoValue = $_POST['documento'];
	$placa = $_POST["placa"];   
	$marca = $_POST["idmarca"];   
	$modelo = $_POST["idmodelo"];   
	$fabricacion = $_POST["idfabricacion"];   
	$precio = str_replace(",", "", $_POST["precio"]);   
	$fnValue = $_POST["fn"];   

    //Comprobamos si todo ha ido bien  
    if($nombre != "error" && $paterno != "error" && $materno != "error" && $celular != "error" && $fijo != "error" && $email != "error" && $documento != "error" && $fn != "error" && $datos != "error")  
        $status = 1;  
}  
  
?>  


<html>
	<body style="text-align:center;" >
    <title>Cotizaci&oacute;n SOAT</title>  
    <link rel="stylesheet" href="main.css" type="text/css" media="screen" />  
		<script type="text/javascript" src="js/jquery.js"></script>   
		<script type="text/javascript" src="js/main.js"></script>  
		<script type="text/javascript">
				$(document).ready(function(){
				$('#open').click(function(){
					//alert($('input:checkbox[name=cbdatos]:checked').val());
					$('#popupdatos').fadeIn('slow');
					$('.popup-overlay').fadeIn('slow');
					$('.popup-overlay').height($(window).height());
					return false;
				});
				$('#close').click(function(){
					$('#popup').fadeOut('slow');
					$('#popupdatos').fadeOut('slow');
					$('.popup-overlay').fadeOut('slow');
					return false;
				});
				$('#closedatos').click(function(){
					$('#popup').fadeOut('slow');
					$('#popupdatos').fadeOut('slow');
					$('.popup-overlay').fadeOut('slow');
					return false;
				});
					
				});
		</script>
		<style type="text/css">
				.popup {
					left: 0;
					position: absolute;
					top: 0;
					width: 100%;
					z-index: 1001;
				}

				.content-popup {
					margin:0px auto;
					margin-top:100px;
					position:relative;
					padding:10px;
					width:500px;
					min-height:250px;
					border-radius:4px;
					background-color:#FFFFFF;
					box-shadow: 0 2px 5px #666666;
				}

				.content-popup h2 {
					color:#48484B;
					border-bottom: 1px #48484B;
					margin-top: 0;
					padding-bottom: 4px;
				}
				.content-popup h4 {
					color:#48484B;
					border-bottom: 1px #48484B;
					margin-top: 10px;
					padding-bottom: 4px;
				}
				.popup-overlay {
					left: 0;
					position: absolute;
					top: 0;
					width: 100%;
					z-index: 999;
					display:none;
					background-color: #777777;
					cursor: pointer;
					opacity: 0.7;
				}

				.close {
					position: absolute;
					right: 15px;
				}
		</style>

		<div id="popup" style="display: none; margin: 0 auto;">
			<div class="content-popup">
				<div class="close"><a href="#" id="close"><img src="picture_library/close.png"/></a></div>
				<div style="margin: 0 auto; text-align:center; font: 70% Tahoma;">
				   <h2><p> <font SIZE=5 COLOR=red> Importante...!!! </font><p>
					   <p>Estimado cliente, su vehiculo requiere la instalaci&oacute;n del dispositivo GPS, verifique la secci&oacute;n "Exigencia del Dispositivo GPS" para comprobar que aseguradora lo requiere.</p><br>
					   <img src="picture_library/GPSv3.png"  WIDTH=283 HEIGHT=257/></h2>
				</div>
			</div>
		</div>
		<div class='popup-overlay'></div>

		<div class='popup-overlay'></div>

		
						<div id="popupdatos" class="popup" style="display: none; margin: 0 auto;">
							<div class="content-popup">
								<div class="close"><a href="#" id="closedatos"><img src="picture_library/close.png"/></a></div>
								<div style="margin: 0 auto; text-align:justify; font: 70% Tahoma;">
									<h4><p> <font SIZE=4> T&eacute;rminos y condiciones </font><p>
									   <p>
<br><br>Ley 29733 - Ley de Protecci&oacute;n de Datos Personales y su Reglamento<br><br>

De conformidad con lo establecido en la Ley Nro 29733 - Ley de Protecci&oacute;n de Datos Personales y su Reglamento, quien suscribe el presente documento, queda informado y da su consentimiento libre, previo, expreso, inequ&iacute;voco e informado, para el tratamiento y transferencia, nacional e internacional de sus datos personales al banco de datos de titularidad de MYJ SERVIGEN (&quot;T&uacute; Seguro Per&uacute;&quot;), que estar&aacute; ubicado en sus oficinas a nivel nacional que, conjuntamente con cualquier otro dato que pudiera facilitarse a lo largo de la relaci&oacute;n jur&iacute;dica y aquellos obtenidos en fuentes accesibles al p&uacute;blico, se tratar&aacute;n con las finalidades de analizar las circunstancias al celebrar contratos con T&uacute; Seguro Per&uacute;, gestionar la contrataci&oacute;n y evaluar la calidad del servicio. Asimismo, T&uacute; Seguro Per&uacute; utilizar&aacute; los datos personales con fines comerciales, y publicitarios a fin de remitir informaci&oacute;n sobre productos y servicios que T&uacute; Seguro Per&uacute; considere de su inter&eacute;s.<br><br>

Los datos proporcionados ser&aacute;n incorporados, con las mismas finalidades, a las bases de datos de T&uacute; Seguro Per&uacute; y/u otras empresas subsidiarias, filiales, asociadas, afiliadas o miembros del Grupo Econ&oacute;mico al cual pertenece y/o terceros con los que &eacute;stas mantengan una relaci&oacute;n contractual.<br><br>

Los datos suministrados son esenciales para las finalidades indicadas. Las bases de datos donde ellos se almacenan cuentan con estrictas medidas de seguridad. En caso se decida no proporcionarlos, no ser&aacute; posible la prestaci&oacute;n de servicios por parte de T&uacute; Seguro Per&uacute;.
<br><br>
Conforme a Ley, el titular de la informaci&oacute;n est&aacute; facultado a ejercitar los derechos de informaci&oacute;n, acceso, rectificaci&oacute;n, supresi&oacute;n o cancelaci&oacute;n y oposici&oacute;n que se detallan en la Ley Nro 29733 - Ley de Protecci&oacute;n de Datos Personales y su Reglamento, mediante comunicaci&oacute;n dirigida MYJ SERVIGEN.
										</p><br>
									</h4>
								</div>
							</div>
						</div>


	
<?php

echo "<div id=global style='margin: 0 auto; font: Tahoma; color:#424E8A;'>";
include("cabecera.php");
echo "<div id=contenido>";

//VARIABLES RECIBIDAS DESDE UN LINK
$vr_placa = $_GET["p"];   
$vr_marca = $_GET["m"];   
$vr_modelo = $_GET["m2"];   
$vr_fabricacion = $_GET["f"];
$vr_chasis = $_GET["c"];

$placa = $_POST["placa"];   
$marca = $_POST["idmarca"];   
$modelo = $_POST["idmodelo"];   
$fabricacion = $_POST["idfabricacion"];
$chasis = $_POST["chasis"];

    if($vr_placa <> "")  
        $placa = $vr_placa;  
    if($vr_marca <> "")  
        $marca = $vr_marca;  
    if($vr_modelo <> "")  
        $modelo = $vr_modelo;  
    if($vr_fabricacion <> "")  
        $fabricacion = $vr_fabricacion;  
		
$validacion = 0;

if ($placa=='')
{
	$validacion = $validacion + 1;
}

if ($marca=='')
{
	$validacion = $validacion + 1;
}

if ($modelo=='')
{
	$validacion = $validacion + 1;
}

if ($fabricacion=='')
{
	$validacion = $validacion + 1;
}

if ($validacion > 0)
{
	echo "<br><br><br><h1 style='text-align:center; font: bold 150% Tahoma;'>Estimado Cliente, debe completar todos los campos en el fomulario anterior.</h1>";
	echo "<script language='JavaScript'>";
	echo "setTimeout('history.back()',3500);";
	echo "</script>";
}
else
{
?>


	<?php if(!isset($status)): ?>  
	<font face="Tahoma" size=5>	
            <h1 style="text-align:center;">Por favor complete los siguientes datos:</h1>  
            <form id="form1" action="form_cliente_soat.php" method="post">
				<input style='display: none;' name="placa" id="placa" size="5" type="text" value="<?php echo $placa ?>" />
				<input style='display: none;' name="idmarca" id="idmarca" size="5" type="text" value="<?php echo $marca ?>" />
				<input style='display: none;' name="idmodelo" id="idmodelo" size="5" type="text" value="<?php echo $modelo ?>" />
				<input style='display: none;' name="idfabricacion" id="idfabricacion" size="5" type="text" value="<?php echo $fabricacion ?>" />
				<input style='display: none;' name="chasis" id="chasis" size="5" type="text" value="<?php echo $chasis ?>" />
				
			<table style="border: 1px black ; margin: 0 auto; width: 400px;">
				<tr>
					<td style="border: 1px black; width: 200px;">
                		<label style="text-align:left; padding: 0px; width: 100%;" for="tipodocumento">Tipo Documento:</label> 
                		<select tabindex="1" class='round' name='idTipoDoc' id='idTipoDoc' style='padding: 0px; margin-bottom: 0px; width: 100%; height:25px;'>
							<option value='DNI'>DNI</option>
							<option value='CE'>Carnet de Extranjeria</option>
							<option value='PAS'>Pasaporte</option>
						</select>
					</td>
					<td style="border: 1px black; width: 200px;">
                		<label style="text-align:left; padding: 0px; width: 100%;" for="documento">Documento: <span id="req-documento" class="requisites <?php echo $documento ?>">Invalido</span></label> 
                		<input style="text-align:left; padding: 0px; margin-bottom: 0px; width: 100%; height:25px;" tabindex="2" name="documento" id="documento" type="text" class="text <?php echo $documento ?>" value="<?php echo $documentoValue ?>" />
					</td>
				</tr>
				<tr>
					<td colspan='2' style="border: 1px black; width: 200px;">
                		<label style="text-align:left; padding: 0px; width: 100%;" for="nombre">Nombre: <span id="req-nombre" class="requisites <?php echo $nombre ?>">Inv&aacute;lido</span></label> 
                		<input style="text-align:left; padding: 0px; margin-bottom: 0px; width: 100%; height:25px;" tabindex="3" name="nombre" id="nombre" type="text" class="text <?php echo $nombre ?>" value="<?php echo $nombreValue ?>" />					
					</td>
				</tr>
				<tr>
					<td style="border: 1px black; width: 200px;">
                		<label style="text-align:left; padding: 0px; width: 100%;" for="paterno">Apellido Paterno: <span id="req-paterno" class="requisites <?php echo $paterno ?>">Inv&aacute;lido</span></label> 
                		<input style="text-align:left; padding: 0px; margin-bottom: 0px; width: 100%; height:25px;" tabindex="3" name="paterno" id="paterno" type="text" class="text <?php echo $paterno ?>" value="<?php echo $paternoValue ?>" />
					</td>
					<td style="border: 1px black; width: 150px;">
                		<label style="text-align:left; padding: 0px; width: 100%;" for="materno">Apellido Materno: <span id="req-materno" class="requisites <?php echo $materno ?>">Inv&aacute;lido</span></label>
                		<input style="text-align:left; padding: 0px; margin-bottom: 0px; width: 100%; height:25px;" tabindex="4" name="materno" id="materno" type="text" class="text <?php echo $materno ?>" value="<?php echo $maternoValue ?>" />
					</td>
				</tr>
				<tr>
					<td style="border: 1px black; width: 200px;">
                		<label style="text-align:left; padding: 0px; width: 100%;" for="fn">Fecha de nacimiento: <span id="req-fn" class="requisites <?php echo $fn ?>"></span></label>
                		<input style="text-align:left; padding: 0px; margin-bottom: 0px; width: 100%; height:25px;" tabindex="5" name="fn" id="fn" type="date" class="text <?php echo $fn ?>" value="<?php echo $fnValue ?>" />
					</td>
					<td style="border: 1px black; width: 200px;">
                		<label style="text-align:left; padding: 0px; width: 100%;" for="email">Correo electr&oacute;nico: <span id="req-email" class="requisites <?php echo $email ?>">Inv&aacute;lido</span></label>
                		<input style="text-align:left; padding: 0px; margin-bottom: 0px; width: 100%; height:25px;" tabindex="5" name="email" id="email" type="text" class="text <?php echo $email ?>" value="<?php echo $emailValue ?>" />
					</td>
				</tr>
				<tr>
					<td style="border: 1px black; width: 200px;">
	                	<label style="text-align:left; padding: 0px; width: 100%;" for="celular">Celular: <span id="req-celular" class="requisites <?php echo $celular ?>">Inv&aacute;lido</span></label>
                		<input style="text-align:left; padding: 0px; margin-bottom: 0px; width: 100%; height:25px;" tabindex="6" name="celular" id="celular" type="text" class="text <?php echo $celular ?>" value="<?php echo $celularValue ?>" />
					</td>
					<td style="border: 1px black; width: 200px;">
                		<label style="text-align:left; padding: 0px; width: 100%;" for="fijo">Tel&eacute;fono Fijo: <span id="req-fijo" class="requisites <?php echo $fijo ?>">Inv&aacute;lido</span></label>
                		<input style="text-align:left; padding: 0px; margin-bottom: 0px; width: 100%; height:25px;" tabindex="7" name="fijo" id="fijo" type="text" class="text <?php echo $fijo ?>" value="<?php echo $fijoValue ?>" />
					</td>
				</tr>
				<tr>
					<td colspan="2" style="margin: 0 auto; text-align:justify; font: 80% Tahoma;">
						<br> <input name="cbdatos" id="cbdatos" type="checkbox" class="<?php echo $datos ?>"/>
						Acepto los 
						<a href="#" id="open">T&eacute;rminos y Condiciones</a> relacionados al tratamiento de mis datos personales. Asimismo, declaro que los datos completados son verdaderos. <font color="red"><b><?php echo $mensajedatos ?></b></font>
						
					</td>
				</tr>

				<tr>
					<td colspan="2" style="text-align:center;" >
	                    <input tabindex="8" name="send" id="send" type="submit" class="submit" value="Mostrar Cotizacion" />
					</td>
				</tr>
			</table>
			</form>
		</font>
<?php echo "</div>"; ?> 
            <?php else: ?>
				<?php include("registra_soat_contacto.php"); ?> 
				<?php include("cotizar_soat.php"); ?>
            <?php endif; }?>
</body>
</html>